---
title: What are Sounds?
---

# What are Sounds?

"Sounds" are sound effects you can add on top of your voice filter. That means anything from an epic fantasy background music playing while you speak, to the “Boing” sound that an old plumber with a big thick mustache used to make whenever he was jumping around in the good ol’days.

:::caution Keep in mind
While we talk about "Sounds" in this documentation, you'll find that all API methods make use of the term "meme" (as in `getMemes` or `playMeme`).
:::

These sounds will be layered on top of your voice and whatever filter effect you might have active at the time.

There are a few considerations to have when playing sounds:

- Sounds have different durations. Some of them are quick sound effects that last a couple of seconds while others are sentences said by special characters or background music that can play for a few minutes.
- Every sound has its own playback mode. Some of them will play only once and others will play in loop until otherwise stopped.
- Playing a sound while another one is already playing will not stop the active one. Instead, all sounds will overlap. Some sounds have options to change this ,and we’ll talk about them in a second.

## The structure of a sound

The data structure of Sounds is the following:

- **Name** (`string`): The “human-friendly” name of the Sound. This parameter is useful to understand the content of the Sound without playing it first.
- **Filename** (`string`): This is the name you’ll use to reference the sound when trying to play it. It can be any string, and you should treat it like an ID.
- **Type** (`string`): This value indicates the behavior of the Sound once you try to start it again when it’s already started. Refer to the “Starting a Sound” section to know more.
- **IsCore** (`boolean`): This value will be `true` for all sounds generated by Voicemod.

Please note that you might get duplicated properties with a lowercase first character for each one of the listed properties.